﻿/*----------------------------------------------------
  Copyright 2018 Epic Systems Corporation
----------------------------------------------------*/

/* Mobile-specific CSS */
@media only screen and (max-device-width: 849px) and (orientation: portrait) {
    body {
        width: 800px;
    }
    
    label {
        font-size: 40px;
    }  

    input {
        width: 700px;
        height: 75px;
        font-size: 50px;
        border: 3px solid;
    }

    button {
        font-size: 50px;
        height: 100px;
    }

    .pageTitle {
        font-size: 45px;
    }
}

@media only screen and (max-device-width: 849px) and (orientation: landscape) {
    body {
        width: 650px;
    }
    
    label {
        font-size: 20px;
    }  

    input {
        width: 550px;
        height: 35px;
        font-size: 20px;
        border: 3px solid;
    }

    button {
        font-size: 20px;
        height: 50px;
    }

    .pageTitle {
        font-size: 25px;
    }
}

/* Desktop-specific CSS */
@media only screen and (min-device-width: 850px) {
    body {
        width: 600px;
    }

    input {
        width:308px;
        border: 1px solid #c1c6cb;
    }
    
    button {
        font-size: 1em;
    }
}

body {
	background-color:#f8f8f8;
	background-image: url("../../Images/OAuth2LoginTexture.png");
	font-family: "Source Sans Pro","Lato","Calibri Light","Lobster",Calibri,Arial,"sans serif";
	margin: auto;
}

fieldset {
	margin:0;
	padding: 0;
	border: none;
}

label {
	display:block;
}

button, input {
	border-radius: 3px;
    padding: 8px 10px 8px 10px;
}

footer {
	margin-top:20px;
}

#container {
	background-color:white;
	-webkit-box-shadow: 0 3px 12px rgba(0,0,0,.23),0 3px 12px rgba(0,0,0,.16);
    -moz-box-shadow: 0 3px 12px rgba(0,0,0,.23),0 3px 12px rgba(0,0,0,.16);
    box-shadow: 0 3px 12px rgba(0,0,0,.23),0 3px 12px rgba(0,0,0,.16);
	padding:15px;
}

#brandedContent {
    display: flex;
	justify-content: space-between;
	align-items: center;
}

.logo {
	max-width: 110px;
	max-height: 50px;
}

.pageTitle {
	margin-top:0;
	color: #ba122b;
}
